// ddropdem.cpp : implementation file
//

#include "stdafx.h"
#include "vbxdemo.h"
#include "ddropdem.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDDropDemo dialog


CDDropDemo::CDDropDemo(CWnd* pParent /*=NULL*/)
	: CDialog(CDDropDemo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDDropDemo)
	m_pDDrop = NULL;
	//}}AFX_DATA_INIT
}

void CDDropDemo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDDropDemo)
	DDX_VBDDrop(pDX, IDC_VBDDROP1, m_pDDrop);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDDropDemo, CDialog)
	//{{AFX_MSG_MAP(CDDropDemo)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_FILEDROPPED, IDC_VBDDROP1, OnFiledroppedVbddrop1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CDDropDemo message handlers

void CDDropDemo::OnDestroy()
{
	CDialog::OnDestroy();
	
	::WinHelp( m_hWnd, "VBXSTD12.HLP", HELP_QUIT, NULL );		
	
}

BOOL CDDropDemo::OnInitDialog()
{
	CDialog::OnInitDialog();
	
if ( !IsHlpHere() )
		GetDlgItem( IDHELP )->EnableWindow( FALSE );
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDDropDemo::OnHelp()
{
	CString FAR szWinDir, szName, szMsg;
	GetSystemDirectory( szWinDir.GetBuffer(250), 248 );
	szWinDir.ReleaseBuffer();
	if ( szWinDir.GetLength() > 3 )
		szWinDir += "\\";
	szName = szWinDir;
	szName += "VBXSTD12.HLP";
    if ( !IsHlpHere() )
    	return;
	::WinHelp( m_hWnd, szName, HELP_KEY, (long)"VBDDrop" );
	
}

void CDDropDemo::OnFiledroppedVbddrop1(UINT, int, CWnd*, LPVOID lp)
{
CString szMsg = "You 've dropped:\n\n";
for ( int i = 0; i < m_pDDrop->EventDroppedFiles( lp ); i++ )
	{
	szMsg += (CString)m_pDDrop->Filename( i );
	szMsg += ".\n";
	}
MessageBox( szMsg );
}
